You are not logged in.

#1 2020-02-13 21:11:29

zhanghailunming
Member
Registered: 2020-02-13
Posts: 3

GNS3 cannot be used after installation

this is logs

~ » gns3                                                                                                     zhl@zhl-pc
2020-02-14 05:09:31 INFO root:126 Log level: INFO
2020-02-14 05:09:31 INFO main:256 GNS3 GUI version 2.2.5
2020-02-14 05:09:31 INFO main:257 Copyright (c) 2007-2020 GNS3 Technologies Inc.
2020-02-14 05:09:31 INFO main:259 Application started with /usr/bin/gns3
2020-02-14 05:09:36 ERROR local_server:496 Local server process has stopped
2020-02-14 05:09:36 ERROR local_server:498 Traceback (most recent call last):
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 583, in _build_master
    ws.require(__requires__)
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 900, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 791, in resolve
    raise VersionConflict(dist, req).with_context(dependent_req)
pkg_resources.ContextualVersionConflict: (yarl 1.4.2 (/usr/lib/python3.8/site-packages), Requirement.parse('yarl==1.3.0'), {'gns3-server'})

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/gns3server", line 6, in <module>
    from pkg_resources import load_entry_point
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 3252, in <module>
    def _initialize_master_working_set():
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 3235, in _call_aside
    f(*args, **kwargs)
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 3264, in _initialize_master_working_set
    working_set = WorkingSet._build_master()
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 585, in _build_master
    return cls._build_from_requirements(__requires__)
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 598, in _build_from_requirements
    dists = ws.resolve(reqs, Environment())
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 786, in resolve
    raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'yarl==1.3.0' distribution was not found and is required by gns3-server

2020-02-14 05:10:01 CRITICAL utils.progress_dialog:181 WaitForConnectionWorker thread stopping with an error: Could not connect to localhost on port 3080: [Errno 111] 拒绝连接
2020-02-14 05:10:01 CRITICAL progress_dialog.py:183 Could not connect to localhost on port 3080: [Errno 111] 拒绝连接

Offline

#2 2020-02-13 21:55:18

zhanghailunming
Member
Registered: 2020-02-13
Posts: 3

Re: GNS3 cannot be used after installation

who can help me ?please.............

Offline

#3 2020-02-13 22:09:38

WorMzy
Forum Moderator
From: Scotland
Registered: 2010-06-16
Posts: 9,397
Website

Re: GNS3 cannot be used after installation

Please don't bump.

Also, please use code tags.

Mod note: Moving to AUR Issues.

Last edited by WorMzy (2020-02-13 22:10:39)


Sakura:-
Mobo: MSI X299 TOMAHAWK ARCTIC // Processor: Intel Core i7-7820X 3.6GHz // GFX: nVidia GeForce GTX 970 // RAM: 32GB (4x 8GB) Corsair DDR4 (@ 3000MHz) // Storage: 1x 3TB HDD, 5x 1TB HDD, 2x 120GB SSD, 1x 275GB M2 SSD

Making lemonade from lemons since 2015.

Offline

#4 2020-02-14 01:24:01

loqs
Member
Registered: 2014-03-06
Posts: 9,773

Re: GNS3 cannot be used after installation

https://aur.archlinux.org/packages/gns3 … ent-725861
Upstream does not support yarl 1.4+ because that would require python 3.6+
https://github.com/GNS3/gns3-server/com … fb50e8d0c4
PKGBUILD could change the requirement.
Edit:

diff --git a/PKGBUILD b/PKGBUILD
index 870c177..4d6aaec 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -11,10 +11,10 @@ url='https://github.com/GNS3/gns3-server'
 license=('GPL3')
 groups=('gns3')
 makedepends=('python-setuptools')
-depends=('python-jsonschema26' 'python-aiohttp-gns3' 'python-aiohttp-cors-gns3'
+depends=('python-jsonschema26' 'python-aiohttp' 'python-aiohttp-cors'
          'python-async_generator' 'python-aiofiles'
          'python-yarl' 'python-jinja' 'python-raven' 'python-psutil'
-         'python-zipstream-gns3' 'python-prompt_toolkit-gns3' 'python-async-timeout-gns3'
+         'python-zipstream' 'python-prompt_toolkit' 'python-async-timeout'
          'busybox')
 optdepends=('dynamips: Cisco router emulator.'
             'gns3-gui: graphical user interface for GNS3 server.'
@@ -32,6 +32,7 @@ sha256sums=('51a7b5b9701a29d6ef1003d9c90a4d098e1d7fa03df3c66b74e70a729f9f8b59'
 prepare() {
     cd "$pkgname-$pkgver"
     sed -i -e 's|^psutil==5\.6\.3$|psutil>=5.6.3|' requirements.txt
+    sed -i -e 's|^yarl==1\.3\.0$|yarl>=1.3.0|' requirements.txt
 }
 
 build() {

Last edited by loqs (2020-02-14 15:18:57)

Offline

Board footer

Powered by FluxBB